Bug 43225 - xrayswarm dumps core
xrayswarm dumps core
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-01 20:05 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 10:50:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-01 20:05:18 EDT
xrayswarm  from 
rpm -q xscreensaver
xscreensaver-3.29-3dbg

dumps core (I just found a core file in home directory)

gdb /usr/X11R6/lib/xscreensaver/xrayswarm core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `xrayswarm -root'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400bd943 in XDrawLine () from /usr/X11R6/lib/libX11.so.6
(gdb) 
(gdb) bt
#0  0x400bd943 in XDrawLine () from /usr/X11R6/lib/libX11.so.6
#1  0x804a582 in drawBugs (tColorIdx=0x805f360, tci0=8, tnc=60, 
    colorIdx=0x805f860, ci0=8, nc=60) at xrayswarm.c:509
#2  0x804ba67 in screenhack (d=0x0, w=0) at xrayswarm.c:1053
#3  0x804cc4e in main (argc=1, argv=0xbffffad4) at screenhack.c:584
#4  0x401bab5c in __libc_start_main (main=0x804c490 <main>, argc=2, 
    ubp_av=0xbffffad4, init=0x8048f68 <_init>, fini=0x804e30c <_fini>, 
    rtld_fini=0x4000d634 <_dl_fini>, stack_end=0xbffffacc)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 1 Need Real Name 2001-06-01 20:11:53 EDT
Another (older) crash of the same program:
gdb /usr/X11R6/lib/xscreensaver/xrayswarm core 
 GNU gdb 5.0
 Copyright 2000 Free Software Foundation, Inc.
 GDB is free software, covered by the GNU General Public License, and you are
 welcome to change it and/or distribute copies of it under certain conditions.
 Type "show copying" to see the conditions.
 There is absolutely no warranty for GDB.  Type "show warranty" for details.
 This GDB was configured as "i386-redhat-linux"...
 Core was generated by `/usr/X11R6/lib/xscreensaver/xrayswarm'.
 Program terminated with signal 11, Segmentation fault.
 Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libXmu.so.6
 Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libSM.so.6
 Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libICE.so.6
 Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libXt.so.6
 Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libX11.so.6
 Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
 Loaded symbols for /usr/X11R6/lib/libXext.so.6
 Reading symbols from /lib/libm.so.6...done.
 Loaded symbols for /lib/libm.so.6
 Reading symbols from /lib/libc.so.6...done.
 Loaded symbols for /lib/libc.so.6
 Reading symbols from /lib/ld-linux.so.2...done.
 Loaded symbols for /lib/ld-linux.so.2
 #0  0xe332dd89 in ?? ()
 (gdb) bt
 #0  0xe332dd89 in ?? ()
 #1  0x804c223 in screenhack_handle_events (dpy=0xbffff630) at screenhack.c:239
 #2  0x804ba84 in screenhack (d=0x4, w=3221222960) at xrayswarm.c:1056
 #3  0x804cc4e in main (argc=1, argv=0xbffffa84) at screenhack.c:584
 #4  0x401bcf31 in __libc_start_main (main=0x804c490 <main>, argc=1, 
     ubp_av=0xbffffa84, init=0x8048f68 <_init>, fini=0x804e30c <_fini>, 
     rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffa7c)
     at ../sysdeps/generic/libc-start.c:129
 (gdb)
Comment 2 Ray Strode [halfline] 2004-11-09 10:50:27 EST
Hi,

This bug report is very old and the problem reported is probably fixed
by now.  I'm going to close this report, but if you encounter the
problem in FC3 or with a recent version of xscreensaver, please feel
free to reopen.

Note You need to log in before you can comment on or make changes to this bug.